<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProductsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: products
         */
        Schema::create('products', function ($table) {
            $table->increments('id');
            $table->integer('supplier_id')->nullable();
            $table->tinyInteger('featured')->nullable();
            $table->string('slug', 255)->nullable();
            $table->longText('name')->nullable();
            $table->string('cas', 255)->nullable();
            $table->string('formula', 255)->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->integer('quantity')->nullable();
            $table->string('unit', 100)->nullable();
            $table->float('price')->nullable();
            $table->longText('description')->nullable();
            $table->text('meta_title')->nullable();
            $table->longText('meta_description')->nullable();
            $table->text('meta_keyword')->nullable();
            $table->text('image')->nullable();
            $table->integer('order')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('products');
    }
}
