<?php

namespace Chemical\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Product\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'id'                => $product->id,
            'supplier_id'       => $product->supplier_id,
            'featured'          => $product->featured,
            'slug'              => $product->slug,
            'name'              => $product->name,
            'cas'               => $product->cas,
            'formula'           => $product->formula,
            'status'            => $product->status,
            'quantity'          => $product->quantity,
            'unit'              => $product->unit,
            'price'             => $product->price,
            'description'       => $product->description,
            'meta_title'        => $product->meta_title,
            'meta_description'  => $product->meta_description,
            'meta_keyword'      => $product->meta_keyword,
            'image'             => $product->image,
            'order'             => $product->order,
            'created_at'        => $product->created_at,
            'updated_at'        => $product->updated_at,
            'deleted_at'        => $product->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$product->getPublicKey()),
                'user'      => guard_url('product/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}